Bug 65891 - error in /etc/init.d/ypxfrd
Summary: error in /etc/init.d/ypxfrd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-03 20:44 UTC by John McMonagle
Modified: 2015-01-07 23:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 02:30:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John McMonagle 2002-06-03 20:44:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
error in /etc/init.d/ypxfrd
executable is rpc.ypxfrd  not  ypxfrd

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run /etc/init.d/ypxfrd start
2.
3.
	

Actual Results:  don't start. Pretty obvious

Expected Results:  should run

Additional info:

my edit.
#!/bin/bash
#
# ypxfrd:       Starts the ypxfrd daemon
#
# Version:      @(#) /etc/init.d/ypxfrd 1.0
#
# chkconfig: - 26 74
# description: ypxfrd should be started in addition to ypserv to accelerate \
#              transferring yp maps.
# processname: ypxfrd

# Source function library.
[ -f /etc/rc.d/init.d/functions ] || exit 0
. /etc/rc.d/init.d/functions

# getting the YP-Domainname
. /etc/sysconfig/network

RETVAL=0

start() {
        echo -n $"Starting YP map server: "
        daemon rpc.ypxfrd $YPXFRD_ARGS
        ETVAL=$?
        echo
        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ypxfrd
        return $RETVAL
}

stop() {
        echo -n $"Stopping YP map server: "
        killproc ypxfrd
        RETVAL=$?
        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ypxfrd
        echo
        return $RETVAL
}

# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  status)
        status ypxfrd
        ;;
  restart|reload)
        stop
        start
        ;;
  condrestart)
        if [ -f /var/lock/subsys/ypxfrd ]; then
            stop
            start
        fi
        ;;
  *)
        echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
        exit 1
esac

exit $RETVAL

Comment 1 Miloslav Trmac 2003-12-03 20:11:16 UTC
This is fixed in ypserv-2.8-3 (FC 1).
Triage->Currentrelease


Note You need to log in before you can comment on or make changes to this bug.